export declare class InnoError extends Error {
    static readonly INTERNAL: string;
    static readonly DB_ERROR: string;
    static readonly AUTH: string;
    static readonly NO_STRING: string;
    static readonly NO_INT: string;
    static readonly NO_EMAIL: string;
    static readonly INT_OUT_OF_BOUNDS: string;
    static readonly STRING_OUT_OF_BOUNDS: string;
    errorPrefix: string;
    name: string;
    message: string;
    code: string;
    status: number;
    logObject: any;
    private static processError(key, value);
    constructor(code: string, internalLogObject?: any, httpStatus?: number);
}
