/// <reference types="koa" />
/// <reference types="koa-bodyparser" />
/// <reference types="koa-router" />
/// <reference types="config" />
import * as Koa from "koa";
import * as Router from 'koa-router';
import * as config from 'config';
import IConfig = config.IConfig;
export declare class App {
    koa: Koa;
    constructor(config: IConfig | any, router: Router);
    private initKoa(config, router);
}
